libzypp 17.37.10

IOStream.h File Reference
`#include <iosfwd>`
`#include <boost/io/ios_state.hpp>`
`#include <utility>`
`#include <zypp-core/base/Flags.h>`
`#include <zypp-core/base/PtrTypes.h>`
`#include <zypp-core/base/Function.h>`
`#include <zypp-core/base/NonCopyable.h>`

Go to the source code of this file.

## Classes
class | zypp::iostr::EachLine
| Simple lineparser: Traverse each line in a file. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::iostr
| Iostream related utilities.

## Typedefs
using | zypp::iostr::IosFmtFlagsSaver = boost::io::ios_base_all_saver
| Save and restore streams `width`, `precision` and `fmtflags`.

## Enumerations
enum | zypp::iostr::ParseFlag { zypp::iostr::PF_LTRIM = 1 << 0 , zypp::iostr::PF_RTRIM = 1 << 1 , zypp::iostr::PF_TRIM = PF_LTRIM | PF_RTRIM , zypp::iostr::PF_SKIP_EMPTY = 1 << 2 , zypp::iostr::PF_SKIP_SHARP_COMMENT = 1 << 3 }
| simpleParseFile modifications before consuming a line. More...

## Functions
std::string | zypp::iostr::getline (std::istream &str) ZYPP_API
| Read one line from stream.
std::ostream & | zypp::iostr::copy (std::istream &from_r, std::ostream &to_r)
| Copy istream to ostream.
std::ostream & | zypp::iostr::copyIndent (std::istream &from_r, std::ostream &to_r, const std::string &indent_r="> ")
| Copy istream to ostream, prefixing each line with indent_r (default "> " ).
void | zypp::iostr::tee (std::istream &from_r, std::ostream &to1_r, std::ostream &to2_r)
| Copy istream to ostream, prefixing each line with indent_r (default "> " ).
int | zypp::iostr::forEachLine (std::istream &str_r, const function< bool(int, std::string)> &consume_r) ZYPP_API
| Simple lineparser: Call functor consume_r for each line.
| zypp::iostr::ZYPP_DECLARE_FLAGS (ParseFlags, ParseFlag)
| zypp::iostr::ZYPP_DECLARE_OPERATORS_FOR_FLAGS (ParseFlags)
int | zypp::iostr::simpleParseFile (std::istream &str_r, ParseFlags flags_r, function< bool(int, std::string)> consume_r) ZYPP_API
| Simple lineparser optionally trimming and skipping comments.
int | zypp::iostr::simpleParseFile (std::istream &str_r, function< bool(int, std::string)> consume_r)